*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter", system-ui;
}

:root{
    --white-1: #fff;
    --black-0:#000;
    --main-black: #0C111D;
    --blue-1: #1565C0;
    --light-blue-1: #E3F2FD;
    --light-gray-0: #344054;
    --light-gray: #475467;
    --light-gray-1: #D0D5DD;
    --red: #DD1717;
    /* color-scheme: only light; */
}




  body, p, h1, h2, h3, h4, h5, h6, span, div, a, button, input, textarea, select, option, label, li, ul, ol, strong, em, b, i, th, td {
    color: black;
    background-color: inherit;
} 

body{
    margin: 0 !important;
  
}
.p-dialog{
    padding-top: 10px;
}
.p-select{
    background: inherit !important;
    border: 1px solid var(--light-gray-1) !important;
}

.p-select-overlay{
    background-color: #fff !important;
    border: 1px solid var(--light-gray-1) !important
}
.p-select-option:not(.p-select-option-selected):not(.p-disabled).p-focus {
    background: gray !important;
    color: #fff !important;
  }



.p-inputtext{
    background-color: #fff !important;
    border: 1px solid var(--light-gray-1) !important;
    color: var(--black-0) !important;
} 
#__nuxt{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}
.wk-cursor-pointer{
    cursor: pointer;
}

.wk-w-full{
    width: 100%;
}

.wk-bg-transparent{
    background-color: transparent !important;
}

.wk-bg-main-black{
    background-color: var(--main-black);
}


.hidden-transparent{
    visibility: hidden;
}


.wk-no-spacing{
    white-space: nowrap;
}

.wk-text-white{
    color: var(--white-1);
}
.wk-text-blue{
    color: var(--blue-1)
}

.wk-light-gray{
    color: var(--light-gray)
}
.wk-black{
    color: var(--black-0)
}

.wk-red{
    color: var(--red);
}
/* Font Element */
.wk-spacing{
    letter-spacing: 0.4px;
}

.wk-text-center{
    text-align: center;
}
.wk-font-sm{
    font-size: 12px;
}

.wk-font-default{
    font-size: 15px;
}

.wk-font-default1{
    font-size: 16px;
}
.wk-font-sm1{
    font-size: 14px;
}

.wk-font-sm2{
    font-size: 18px;
}
.wk-size-wtiny{
    font-weight: 400;
}

.wk-size-wdefault{
    font-weight: 600;
}

.wk-size-wsemi{
    font-weight: 700;
}
.wk-size-wsemibold{
    font-weight: 800;
}

.wk-size-wbold{
    font-weight: bold;
}


/* Flex Box */

.wk-flex{
    display: flex;
}

.wk-flex-column{
    flex-direction: column;
}

.wk-flex-row{
    flex-direction: row;
}

.wk-align-center{
    align-items: center;
}

.wk-align-start{
    align-items: flex-start;
}


.wk-align-end{
    align-items: flex-end;
}


.wk-justify-content{
    justify-content: center;
}


.wk-justify-start{
    justify-content: flex-start;
}

.wk-justify-end{
    justify-content: flex-end;
}


.wk-gap-1{
    gap: 2px;
}
.wk-gap-2{
    gap: 4px;
}

.wk-gap-3{
    gap: 6px;
}

.wk-gap-4{
    gap: 8px;
}

.wk-gap-5{
    gap: 10px;
}


/* Button */
.wk-btn{
    padding: 10px 18px;
    background-color: var(--main-black);
}
.wk-btn:disabled{
    opacity: 0.5;
}

.wk-btn-primary{
    background-color: var(--blue-1) !important;
}

.wk-btn-outline{
    border: 1px solid var(--light-gray-1);
}
.wk-border-none{
    border-style: none;
}
.wk-outline-none{
    outline: none !important;
}
.wk-radius-default{
    border-radius: 12px;
}


/* Spacing */

.wk-mt-1{
    margin-top: 2px;
}
.wk-mt-2{
    margin-top: 4px;
}
.wk-mt-3{
    margin-top: 6px;
}
.wk-mt-4{
    margin-top: 8px;
}
.wk-mt-5{
    margin-top: 10px;
}
.wk-mt-6{
    margin-top: 12px;
}
.wk-mt-7{
    margin-top: 14px;
}

.wk-mt-12{
    margin-top: 24px;
}

.wk-mb-1{
    margin-bottom: 2px;
}
.wk-mb-2{
    margin-bottom: 4px;
}
.wk-mb-3{
    margin-bottom: 6px;
}
.wk-mb-4{
    margin-bottom: 8px;
}
.wk-mb-5{
    margin-bottom: 10px;
}
.wk-mb-6{
    margin-bottom: 12px;
}
.wk-mb-7{
    margin-bottom: 4px;
}


